extends Node

var coinsCollected:int = 0
var player:Resource

signal playerDeath

func _ready() -> void:
	print("Game controller is ready")
	player = load("res://scripts/resources/player.tres")


func coinCollected():
	coinsCollected +=1
	print("Game Controller Coin Collected : "+str(coinsCollected))
	
func resetPlayer():
	player.health = player.max_health

func playerDamage():
	#one can not kill what is dead....
	if player.health >0:
		player.health -= 20
		#is the player dead?
		if player.health <= 0:
			#kill him
			playerDeath.emit()
		
